aboutsummaryrefslogtreecommitdiff
path: root/testsuite/testing.sh
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2009-07-18 16:22:26 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2009-07-18 16:22:26 +0200
commit6ae6426a7485b5835c23aea198b3065f491d918b (patch)
tree79ebcee570986e27d7137720ca3139af277a162b /testsuite/testing.sh
parentb71ce023e9527b6afaa497ce62ca53a74cf94cef (diff)
downloadbusybox-6ae6426a7485b5835c23aea198b3065f491d918b.tar.gz
fix mountpoint test to not prevemt mkfs_xxx from making image in any file
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'testsuite/testing.sh')
-rwxr-xr-xtestsuite/testing.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/testsuite/testing.sh b/testsuite/testing.sh
index a57c4d68d..22c640faf 100755
--- a/testsuite/testing.sh
+++ b/testsuite/testing.sh
@@ -36,6 +36,20 @@
export FAILCOUNT=0
export SKIP=
+# Helper for helpers. Oh my...
+
+test x"$ECHO" != x"" || {
+ ECHO="echo"
+ test x"`echo -ne`" = x"" || {
+ # Compile and use a replacement 'echo' which understands -e -n
+ ECHO="$PWD/echo-ne"
+ test -x "$ECHO" || {
+ gcc -Os -o "$ECHO" ../scripts/echo.c || exit 1
+ }
+ }
+ export ECHO
+}
+
# Helper functions
optional()
@@ -73,7 +87,7 @@ testing()
$ECHO -ne "$3" > expected
$ECHO -ne "$4" > input
- [ -z "$VERBOSE" ] || echo "echo '$5' | $2"
+ [ -z "$VERBOSE" ] || echo "echo -ne '$5' | $2"
$ECHO -ne "$5" | eval "$2" > actual
RETVAL=$?